Package com.ads.api.beans.bgm

# Class BusinessObject

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.BusinessObject

Direct Known Subclasses:
  `BusinessPolicy`, `BusinessRule`, `BusinessTerm`, `CustomObject`

public class BusinessObject extends Node
This class provides some beans control methods related to Business Term, Business Rule, Business Policy and Custom object such as name, id, catalog in which it is present, its definition, description, related notes, objectTypeId, catalogsTypeId, workflowStatus, sdiClassifications etc...and its related Audit Specifications.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessObject()`
  `BusinessObject(Node.NodeType nodeType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BusinessObject`
  `addSDIClassification(SDIClassification classification)`
  It adds the given sdiClassification object to the list.
  `AssetType`
  `getAssetType()`
  Returns the assetType details of the business object.
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory details of the business object.
  `int`
  `getCatalogId()`
  Returns the catalogId in which the business object is present.
  `String`
  `getDefinition()`
  Returns the definition of the business object.
  `String`
  `getDescription()`
  Returns the description of the business object.
  `Map<String,Object>`
  `getFields()`
  Returns the fields(extended properties) of the association object
  `Object`
  `getFieldValue(String name)`
  Return the field(extended property) value of the business object
  `int`
  `getId()`
  Returns the id of the business object.
  `String`
  `getName()`
  Returns the business object name.
  `int`
  `getObjectTypeId()`
  Returns the objectTypeId of the business object.
  `List<SDIClassification>`
  `getSDIClassifications()`
  Returns the list of sdiClassifications of the business object.
  `String`
  `getWorkflowStatus()`
  Returns the workflowStatus related to the business object.
  `boolean`
  `isSdiFlag()`
  Returns the sdiFlag value as true or false.
  `void`
  `setAssetType(AssetType assetType)`
  Sets the assetType details as specified to the business object.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Sets the auditHistory details as specified to the business object.
  `void`
  `setCatalogId(int catalogId)`
  Sets the catalogId as specified.
  `void`
  `setDefinition(String definition)`
  Sets the definition to the business object as Specified.
  `void`
  `setDescription(String description)`
  Sets the description to the business object as Specified.
  `void`
  `setFields(Map<String,Object> fields)`
  Sets the fields(extended properties) of the business object
  `void`
  `setFieldValue(String name, Object value)`
  Sets the field value(extended property) as specified.
  `void`
  `setId(int id)`
  Sets the id of the business object
  `void`
  `setName(String name)`
  Sets the business object name as Specified.
  `void`
  `setSDIClassifications(List<SDIClassification> sdiClassifications)`
  Method sets the list of sdiClassifications to the business object as specified.
  `void`
  `setSdiFlag(boolean sdiFlag)`
  Method sets the sdiFlag value.
  `void`
  `setWorkflowStatus(String workflowStatus)`
  Sets the workflowStatus to the business object.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BusinessObject

    public BusinessObject()

  - ### BusinessObject

    public BusinessObject(Node.NodeType nodeType)

- ## Method Details

  - ### setFieldValue

    public void setFieldValue(String name, Object value)
    Sets the field value(extended property) as specified.
    Parameters:
      `name` - String
      `value` - Object

  - ### getFieldValue

    public Object getFieldValue(String name)
    Return the field(extended property) value of the business object
    Parameters:
      `name` - String
    Returns:
      Object

  - ### getFields

    public Map<String,Object> getFields()
    Returns the fields(extended properties) of the association object
    Returns:
      fields

  - ### setFields

    public void setFields(Map<String,Object> fields)
    Sets the fields(extended properties) of the business object
    Parameters:
      `fields` -

  - ### getWorkflowStatus

    public String getWorkflowStatus()
    Returns the workflowStatus related to the business object.
    Returns:
      workflowStatus String

  - ### setWorkflowStatus

    public void setWorkflowStatus(String workflowStatus)
    Sets the workflowStatus to the business object.
    Parameters:
      `workflowStatus` - String

  - ### getName

    public String getName()
    Returns the business object name.
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Sets the business object name as Specified.
    Parameters:
      `name` - String

  - ### getDefinition

    public String getDefinition()
    Returns the definition of the business object.
    Returns:
      definition String

  - ### setDefinition

    public void setDefinition(String definition)
    Sets the definition to the business object as Specified.
    Parameters:
      `definition` - String

  - ### getDescription

    public String getDescription()
    Returns the description of the business object.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the description to the business object as Specified.
    Parameters:
      `description` - String

  - ### getCatalogId

    public int getCatalogId()
    Returns the catalogId in which the business object is present.
    catalogId can be the id of any catalog or subCatalog.
    Returns:
      catalogId int

  - ### setCatalogId

    public void setCatalogId(int catalogId)
    Sets the catalogId as specified.
    Parameters:
      `catalogId` - int

  - ### getObjectTypeId

    public int getObjectTypeId()
    Returns the objectTypeId of the business object.
    Overrides:
      `getObjectTypeId` in class `Node`
    Returns:
      objectTypeId int

  - ### getId

    public int getId()
    Returns the id of the business object.
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Sets the id of the business object
    Parameters:
      `id` - int

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory details of the business object.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Sets the auditHistory details as specified to the business object.
    Parameters:
      `auditHistory` - AuditHistory

  - ### isSdiFlag

    public boolean isSdiFlag()
    Returns the sdiFlag value as true or false.
    Returns:
      sdiFlag boolean

  - ### setSdiFlag

    public void setSdiFlag(boolean sdiFlag)
    Method sets the sdiFlag value.
    Parameters:
      `sdiFlag` -

  - ### getSDIClassifications

    public List<SDIClassification> getSDIClassifications()
    Returns the list of sdiClassifications of the business object.
    Returns:
      sdiClassifications List

  - ### setSDIClassifications

    public void setSDIClassifications(List<SDIClassification> sdiClassifications)
    Method sets the list of sdiClassifications to the business object as specified.
    Parameters:
      `sdiClassifications` - List

  - ### addSDIClassification

    public BusinessObject addSDIClassification(SDIClassification classification)
    It adds the given sdiClassification object to the list.
    Parameters:
      `classification` -
    Returns:
      BusinessObject

  - ### getAssetType

    public AssetType getAssetType()
    Returns the assetType details of the business object.
    Returns:
      assetType AssetType

  - ### setAssetType

    public void setAssetType(AssetType assetType)
    Sets the assetType details as specified to the business object.
    Parameters:
      `assetType` - AssetType

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`